{% extends 'MateriasBundle::layout.html.twig' %}

{% block title %}<h1>Informaci&oacute;n de materias</h1>{% endblock %}

{% block content %}
    <form id="form_admin_materia" action="{{ path('admin_materia_guardar') }}" method="post">
        <input type="hidden" id="id" name="id" value="{{ materia.id }}" />
        
        <div class="row">
            <div class="medium-2 columns">
                <label for="nombre">Nombre</label>
            </div>
            <div class="medium-10 columns">
                <input type="text" id="nombre" name="nombre" value="{{ materia.getNombre }}" placeholder="Nombre" />
            </div>
        </div>
            
        <div class="row">
            <div class="medium-2 columns">
                <label for="descripcion">Descripci&oacute;n</label>
            </div>
            <div class="medium-10 columns">
                <textarea id="descripcion" name="descripcion" placeholder="Descripci&oacute;n" rows="5">{{ materia.getDescripcion }}</textarea>
            </div>
        </div>
            
        <div class="row">
            <div class="medium-2 columns">
                <label for="cupos_libres">Cupos libres</label>
            </div>
            <div class="medium-10 columns">
                <input type="text" id="cupos_libres" name="cupos_libres" value="{{ materia.getCuposLibres }}" placeholder="Cupos libres" />
            </div>
        </div>
        
        <div class="row">
            <div class="medium-2 columns">
                <label for="id_profesor">Profesor</label>
            </div>
            <div class="medium-10 columns">
                <select name="id_profesor" id="id_profesor">
                {% for profesor in profesores %}
                    <option value="{{ profesor.getId }}" {% if profesor.getId == materia.getIdProfesor %}selected{% endif %}>{{ profesor.getNombre }}</option>
                {% endfor %}
                </select>
            </div>
        </div>

        <div class="row">
            <button type="submit" class="button">Guardar</button>
            <a href="{{ path('admin_materia') }}" class="button alert">Regresar</a>
        </div>
    </form>
{% endblock %}